From d4adf5e8d404dcea3138aa6976933b171af1c2c0 Mon Sep 17 00:00:00 2001
From: Sanket Markan <sanketmarkan@gmail.com>
Date: Fri, 11 Mar 2016 19:53:49 +0530
Subject: [PATCH] given correct folder path while saving project

---
 src/Gui/MainWindow.cpp  | 4 ++--
 src/Project/Project.cpp | 5 +++++
 2 files changed, 7 insertions(+), 2 deletions(-)

diff --git a/src/Gui/MainWindow.cpp b/src/Gui/MainWindow.cpp
index fc88afd..954c830 100644
--- a/src/Gui/MainWindow.cpp
+++ b/src/Gui/MainWindow.cpp
@@ -348,9 +348,9 @@ MainWindow::on_actionSave_triggered()
 void
 MainWindow::on_actionSave_As_triggered()
 {
-    //FIXME: This lacks the current project file path as a default location.
+    QString folder = VLMC_PROJECT_GET_STRING( "vlmc/ProjectPath" );
     QString dest = QFileDialog::getSaveFileName( NULL, QObject::tr( "Enter the output file name" ),
-                                  QString(), QObject::tr( "VLMC project file(*.vlmc)" ) );
+                                  folder, QObject::tr( "VLMC project file(*.vlmc)" ) );
     if ( dest.isEmpty() == true )
         return;
     if ( !dest.endsWith( ".vlmc" ) ) 
diff --git a/src/Project/Project.cpp b/src/Project/Project.cpp
index 0401154..78c16d3 100644
--- a/src/Project/Project.cpp
+++ b/src/Project/Project.cpp
@@ -176,6 +176,7 @@ Project::newProject( const QString& projectName, const QString& projectPath )
 {
     closeProject();
     m_settings->setValue( "vlmc/ProjectName", projectName );
+    m_settings->setValue( "vlmc/ProjectPath", projectPath );
     m_projectFile = new QFile( projectPath );
     save();
 }
@@ -216,6 +217,10 @@ Project::initSettings()
                                     QT_TRANSLATE_NOOP( "PreferenceWidget", "Project name" ),
                                     QT_TRANSLATE_NOOP( "PreferenceWidget", "The project name" ),
                                     SettingValue::NotEmpty );
+    m_settings->createVar( SettingValue::String, "vlmc/ProjectPath", unNamedProject,
+                                    QT_TRANSLATE_NOOP( "PreferenceWidget", "Project path" ),
+                                    QT_TRANSLATE_NOOP( "PreferenceWidget", "The project path" ),
+                                    SettingValue::NotEmpty );
     connect( pName, SIGNAL( changed( QVariant ) ), this, SLOT( projectNameChanged( QVariant ) ) );
 }
 
-- 
1.9.1

